## BtMainPageInfo BtMainPageInfo — the editor main info page |

## Synopsis

    #include "bt-edit.h"

                        BtMainPageInfo;
    BtMainPageInfo *    bt_main_page_info_new               (const BtEditApplication *app,
                                                             const BtMainPages *pages);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----BtMainPageInfo

## Implemented Interfaces

BtMainPageInfo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Provides an editor for the song meta data.

## Details

### BtMainPageInfo

    typedef struct _BtMainPageInfo BtMainPageInfo;

the info page for the editor application

### bt_main_page_info_new ()

    BtMainPageInfo *    bt_main_page_info_new               (const BtEditApplication *app,
                                                             const BtMainPages *pages);

Create a new instance

`app` : | the application the window belongs to
`pages` : | the page collection
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the window belongs to.

## See Also

BtSongInfo